package hsmw.jotto5.beleg.data;

import java.util.ArrayList;

/**
 * Beschreibt eine Gruppe von DataObjects.
 * 
 * Zwischen der Gruppe und ihrem "Inhalt" besteht eine m-zu-n-Beziehung:
 * Ein DataObject kann in beliebig vielen Gruppen sein; genau so wie in
 * einer Gruppe beliebig viele DataObjects sein können.
 */
public class Group extends DataObject {

	public Group(String uid, String displayName) {
		super(uid, displayName);
	}

	/**
	 * Fügt das DataObject mit der gegebenen UID zu der Gruppe hinzu.
	 */
	public void addMember(String uid) {
		this.model.addRelation(this.uid, uid);
	}

}
